﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AppPlugins;
using System.Windows;
using System.Windows.Controls;
using System.IO;

namespace TestPlugin
{
    public class test : IAppPlugins
    {
        string result = "Dont'Have Result!"; //一开始数据
        string PluginNowPath = "";

        public void InitializePlugin(string PluginPath) //初始化插件
        {
            result = "Get Result"; //改变数据
            PluginNowPath = PluginPath; //插件文件地址
        }
        
        public string PluginFunc(string ClipboardResult, ref AppSaveResult appSaveResult) //软件发现剪贴活动后所执行的方法
        {
            MessageBox.Show(result, "HelloWorld:"); //显示WindowMessage，展示已经改变的数据
            //appSaveResult = AppSaveResult.onlySaveToApp 如果不想改变或者延续之前插件的appSaveResult请不必动它。如果你的插件操作不必用到请不赋值，延续上个插件做的更改。

            return ClipboardResult; //如果想改变剪贴数据则返回新的字符串。AppSaveResult为save的话软件保存的是新的剪贴数据,，返回的新剪贴数据和原本不一样的话软件会添加到剪贴板。
        }

        public Window PluginSettingWindow() //软件的插件配置窗体
        {
            //一系列窗体设置
            Window SettingWindow = new Window() { Width = 300, Height = 250,Title = "版本: 1.1" };
            StackPanel stackPanel = new StackPanel();
            stackPanel.Children.Add(new Label() { Content = "测试专用插件：" });
            Button button = new Button() { Content = "点击测试！" };
            TextBox textBox = new TextBox() { Text = "HelloWorld!" };
            button.Click += (sender, e) => buttonClick(textBox.Text);
            stackPanel.Children.Add(textBox);
            stackPanel.Children.Add(button);
            SettingWindow.Content = stackPanel;
            SettingWindow.Title = Directory.GetParent(PluginNowPath).Name;
            SettingWindow.WindowStartupLocation = WindowStartupLocation.CenterScreen;

            return SettingWindow; //返回配置窗体，若不想有配置窗体则直接返回null
        }

        private void buttonClick(string text)
        {
            MessageBox.Show(text, "Test:",MessageBoxButton.OK,MessageBoxImage.Information);
        }
    }
}
